# Class OptionParser.InvalidOptionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.thaiopensource.util.OptionParser.InvalidOptionException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `OptionParser`

public static class OptionParser.InvalidOptionException extends Exception

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidOptionException()`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidOptionException

    public InvalidOptionException()